﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RhythmBullet.Zer01HD.UI.Page
{
    class PageManager
    {
        private readonly List<Page> pages = new List<Page>();

        public void Act(GameTime gameTime)
        {
            foreach (Page page in pages)
            {
                page.Update(gameTime);
            }
        }

        public void Draw(SpriteBatch spriteBatch)
        {
            foreach (Page page in pages)
            {
                page.Draw(spriteBatch);
            }
        }
    }
}
